package org.dromara.system.service;

import org.dromara.common.core.domain.AjaxResult;
import org.dromara.system.domain.UpdateApp;
import org.dromara.system.domain.vo.UpdateAppVo;
import org.dromara.system.domain.bo.UpdateAppBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * APP版本描述Service接口
 *
 * @author boman
 * @date 2023-09-18
 */
public interface IUpdateAppService {

    /**
     * 查询APP版本描述
     */
    UpdateAppVo queryById(Long id);

    /**
     * 查询APP版本描述列表
     */
    TableDataInfo<UpdateAppVo> queryPageList(UpdateAppBo bo, PageQuery pageQuery);

    /**
     * 查询APP版本描述列表
     */
    List<UpdateAppVo> queryList(UpdateAppBo bo);

    /**
     * 新增APP版本描述
     */
    Boolean insertByBo(UpdateAppBo bo);

    /**
     * 修改APP版本描述
     */
    Boolean updateByBo(UpdateAppBo bo);

    /**
     * 校验并批量删除APP版本描述信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    AjaxResult getInfoNew(UpdateAppBo bo);
}
